package com.zanxiang.game.module.sdk.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-07-06
 * @description : 壳包控制枚举
 */
@Getter
@AllArgsConstructor
public enum ShellSwitchEnum {

    /**
     * 开启壳包
     */
    SHELL_SWITCH_OPEN(1, "开启壳包"),

    /**
     * 关闭壳包
     */
    SHELL_SWITCH_CLOSE(2, "关闭壳包"),

    /**
     * 申诉状态
     */
    SHELL_SWITCH_APPEAL(3, "申诉中");

    /**
     * 壳包控制
     */
    private final Integer shellSwitch;

    /**
     * 描述
     */
    private final String name;

}
